local Sewing_staff = Class(function(self, inst)
    self.inst = inst
    self.repair_value = 1
end)
function Sewing_staff:DoSewing(target, doer)
    if target.prefab == "firestaff" then
		target.components.finiteuses:Use(-self.repair_value)
        if target.components.finiteuses:GetPercent() > 1 then
            target.components.finiteuses:SetPercent(1)
        end
		if self.inst.components.finiteuses then
			self.inst.components.finiteuses:Use(1)
		elseif self.inst.components.stackable then
			self.inst.components.stackable:Get(1):Remove()
		end
		if self.onsewn then
			self.onsewn(self.inst, target, doer)
		end
		return true
	end
end
return Sewing_staff
